## ros-noetic-exotica-examples 6.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(exotica_examples)

find_package(catkin REQUIRED COMPONENTS
  exotica_core
  exotica_python
  exotica_aico_solver
  exotica_core_task_maps
  exotica_ik_solver
  sensor_msgs
)

catkin_python_setup()

catkin_package(
    CATKIN_DEPENDS sensor_msgs
)

include_directories(${catkin_INCLUDE_DIRS})

add_executable(example_cpp_core src/core.cpp)
target_link_libraries(example_cpp_core ${catkin_LIBRARIES})
add_dependencies(example_cpp_core ${catkin_EXPORTED_TARGETS})

add_executable(example_cpp_init_generic src/generic.cpp)
target_link_libraries(example_cpp_init_generic ${catkin_LIBRARIES})
add_dependencies(example_cpp_init_generic ${catkin_EXPORTED_TARGETS})

add_executable(example_cpp_init_xml src/xml.cpp)
target_link_libraries(example_cpp_init_xml ${catkin_LIBRARIES})
add_dependencies(example_cpp_init_xml ${catkin_EXPORTED_TARGETS})

add_executable(example_cpp_xml_load_and_solve src/xml_load_and_solve.cpp)
target_link_libraries(example_cpp_xml_load_and_solve ${catkin_LIBRARIES})
add_dependencies(example_cpp_xml_load_and_solve ${catkin_EXPORTED_TARGETS})

add_executable(example_cpp_planner src/planner.cpp)
target_link_libraries(example_cpp_planner ${catkin_LIBRARIES})
add_dependencies(example_cpp_planner ${catkin_EXPORTED_TARGETS})

add_executable(example_cpp_ik_minimal src/ik_minimal.cpp)
target_link_libraries(example_cpp_ik_minimal ${catkin_LIBRARIES})
add_dependencies(example_cpp_ik_minimal ${catkin_EXPORTED_TARGETS})

install(TARGETS
  example_cpp_init_generic
  example_cpp_init_xml
  example_cpp_xml_load_and_solve
  example_cpp_planner
  example_cpp_core
  example_cpp_ik_minimal
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(DIRECTORY launch/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)
install(DIRECTORY resources/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/resources)
FILE(GLOB python_examples "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*")
catkin_install_python(PROGRAMS "${python_examples}" DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  # Find again, this time including rostest
  find_package(rostest REQUIRED)

  catkin_add_gtest(test_initializers test/test_initializers.cpp)
  target_link_libraries(test_initializers ${catkin_LIBRARIES})
  add_dependencies(test_initializers ${catkin_EXPORTED_TARGETS})

  catkin_add_gtest(test_problems test/test_problems.cpp)
  target_link_libraries(test_problems ${catkin_LIBRARIES})
  add_dependencies(test_problems ${catkin_EXPORTED_TARGETS})

  add_rostest(test/python_tests.launch)

  catkin_add_nosetests(test/test_ompl_solver_bounds.py)
  catkin_add_nosetests(test/test_dynamics_solvers.py)
  catkin_add_nosetests(test/test_dynamic_time_indexed_shooting_problem.py)
endif()

=== debian/changelog ===
ros-noetic-exotica-examples (6.2.0-1buster) buster; urgency=high

  * Fix example_shapes
  * Contributors: Wolfgang Merkt

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Thu, 22 Jul 2021 23:00:00 -0000

ros-noetic-exotica-examples (6.1.1-1buster) buster; urgency=high

  * Fix broken examples (#736 <https://github.com/ipab-slmc/exotica/issues/736>)
  * Fix unit tests on Debian Buster (#734 <https://github.com/ipab-slmc/exotica/issues/734>)
  * Fix test robot URDF with collision links for ROS Noetic
  * Python 3 fixes
  * Contributors: Wolfgang Merkt

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Sun, 04 Apr 2021 23:00:00 -0000

ros-noetic-exotica-examples (6.1.0-1buster) buster; urgency=high

  * Fix TargetMarker
  * Fix segmentation fault on exiting Python (#732 <https://github.com/ipab-slmc/exotica/issues/732>)
  * Remove explicit specification of Integrator
  * Upgrade clang format from v3.9 to v6.0 (#730 <https://github.com/ipab-slmc/exotica/issues/730>)
  * Contributors: Wolfgang Merkt

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Mon, 15 Mar 2021 00:00:00 -0000

ros-noetic-exotica-examples (6.0.2-1buster) buster; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-noetic-exotica-examples (6.0.1-1buster) buster; urgency=high

  * Fix some SparseDDP examples and remove old ones (#728 <https://github.com/ipab-slmc/exotica/issues/728>)
  * Contributors: Traiko Dinev, Wolfgang Merkt

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-noetic-exotica-examples (6.0.0-1buster) buster; urgency=high

  * Add new examples for sparsity-inducing optimal control and fix optimal control examples
  * Add unit tests
  * Add example for Dubin's state space
  * Contributors: Traiko Dinev, Vladimir Ivan, Wolfgang Merkt

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-noetic-exotica-examples (5.1.3-1buster) buster; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-noetic-exotica-examples (5.1.2-1buster) buster; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-noetic-exotica-examples (5.1.1-1buster) buster; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-noetic-exotica-examples (5.1.0-1buster) buster; urgency=high

  * Lots more examples!
  * Contributors: Chris Mower, Christian Rauch, Traiko Dinev, Vladimir Ivan, Wolfgang Merkt

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-exotica-examples
Section: misc
Priority: optional
Maintainer: Vladimir Ivan <v.ivan@ed.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-exotica-aico-solver, ros-noetic-exotica-core, ros-noetic-exotica-core-task-maps, ros-noetic-exotica-ik-solver, ros-noetic-exotica-val-description, ros-noetic-rostest, ros-noetic-rosunit, ros-noetic-sensor-msgs
Homepage: https://github.com/ipab-slmc/exotica
Standards-Version: 3.9.2

Package: ros-noetic-exotica-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-pykdl, ros-noetic-exotica-aico-solver, ros-noetic-exotica-cartpole-dynamics-solver, ros-noetic-exotica-collision-scene-fcl-latest, ros-noetic-exotica-core, ros-noetic-exotica-core-task-maps, ros-noetic-exotica-ddp-solver, ros-noetic-exotica-double-integrator-dynamics-solver, ros-noetic-exotica-ik-solver, ros-noetic-exotica-ilqg-solver, ros-noetic-exotica-ilqr-solver, ros-noetic-exotica-levenberg-marquardt-solver, ros-noetic-exotica-ompl-control-solver, ros-noetic-exotica-ompl-solver, ros-noetic-exotica-pendulum-dynamics-solver, ros-noetic-exotica-pinocchio-dynamics-solver, ros-noetic-exotica-python, ros-noetic-exotica-quadrotor-dynamics-solver, ros-noetic-exotica-scipy-solver, ros-noetic-exotica-time-indexed-rrt-connect-solver, ros-noetic-geometry-msgs, ros-noetic-interactive-markers, ros-noetic-robot-state-publisher, ros-noetic-rviz, ros-noetic-sensor-msgs, ros-noetic-visualization-msgs
Description: Package containing examples and system tests for EXOTica.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-exotica-examples//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
